package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.EcFunctionTreeNode;
import com.brilliance.isc.bo.FpriRrlkm;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface EcFunctionTreeNodeMapper {

    List<EcFunctionTreeNode> listByIds(List<Integer> ids);

    int updateConfigurableByNameAndParentId(EcFunctionTreeNode record);

    EcFunctionTreeNode selectByNameAndParentId(EcFunctionTreeNode record);

    List<EcFunctionTreeNode> listQuickAccessConfig(FpriRrlkm record);

    List<EcFunctionTreeNode> listByIdOrParentId(EcFunctionTreeNode record);

    List<EcFunctionTreeNode> selectByOrdersAndParentId(EcFunctionTreeNode record);

}
